Subject: bug#61684: can't compose 'with-patch' with 'with-source'

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 27 Feb 2023 11:29:42 -0500

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> skribis:
>
>>> Quoting Ludo,
>>>
>>>                                                  (this is crucial for our HPC
>>>         users, who routinely combine a whole bunch of options; you have no idea
>>>         how far they go once you give them the tool :-))
>>>
>>>         <https://issues.guix.gnu.org/msgid/[email-masked]>
>>>
>>> and I agree with « you have no idea how far they go once you give them
>>> the tool :-)) ».
>>
>> It seems a bit hypothetical at this point, so I wouldn't want to cripple
>> the design by it.
>
> It baffles me that you would consider other people’s experience as
> “hypothetical”.  It’s not, really.

I didn't mean to dismiss other people experiences.  The reason I'd like
to orient this discussion toward use cases, is that these are easier to
work with (more concrete/well defined) than user experiences.  I'm sure
people use it in many ways I can't think of, and what I'd like us to do
is be able to put a finger on what these ways are, and how the current
API could be improved in a way that satisfies them all (if possible).

> The choice of words after the comma is also unfortunate in several ways.

Noted.  For the record I used in for its "flawed or imperfect"
definition.

-- 
Thanks,
Maxim